Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.support
Interface ResourceHolder

All Known Implementing Classes:
  ConnectionHolder, ConnectionHolder, EntityManagerHolder, JmsResourceHolder, PersistenceManagerHolder, ResourceHolderSupport, SessionHolder

    public interface ResourceHolder

Generic interface to be implemented by resource holders. Allows Spring's transaction infrastructure to introspect and reset the holder when necessary.

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  `ResourceHolderSupport`, `ResourceHolderSynchronization`

Method Summary
`boolean` | `isVoid()` Determine whether this holder is considere as 'void', i.e.
`void` | `reset()` Reset the transactional state of this holder.
`void` | `unbound()` Notify this holder that it has been unbound from transaction synchronization.

Method Detail

### reset

    void reset()

  Reset the transactional state of this holder.

### unbound

    void unbound()

  Notify this holder that it has been unbound from transaction synchronization.

### isVoid

    boolean isVoid()

  Determine whether this holder is considere as 'void', i.e. as a leftover from a previous thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD